Bug 1476281 - Please update the package to a more recent version
Summary: Please update the package to a more recent version
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: golang-github-ncw-swift
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fridolín Pokorný
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1473314
TreeView+ depends on / blocked
 
Reported: 2017-07-28 13:40 UTC by Robert-André Mauchin 🐧
Modified: 2018-02-28 18:48 UTC (History)
3 users (show)

Fixed In Version: golang-github-ncw-swift-0-0.9.git9d3f812.el7 golang-github-ncw-swift-0-0.9.git9d3f812.fc26 golang-github-ncw-swift-0-0.9.git9d3f812.fc27 golang-github-ncw-swift-0-0.9.git9d3f812.el6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-27 20:38:47 UTC
Type: Bug


Attachments (Terms of Use)

Description Robert-André Mauchin 🐧 2017-07-28 13:40:50 UTC
Hello,


For building rclone bug #1473314, I need a more recent swift because it depends on changes introduced *at least* in https://github.com/ncw/swift/commit/cc033b

Please updateit to the latest git.

Thank you

Comment 1 Robert-André Mauchin 🐧 2017-07-28 16:16:48 UTC
I've filled a bug to upstream because the latest git wasn't building on i686 and armv7. See https://github.com/ncw/swift/issues/96

I provided a patch to correct it, so you should wait for it to be accepted.

Comment 2 Robert-André Mauchin 🐧 2017-08-11 12:16:00 UTC
The patch has been accepted and merged, so now it should build on i686 and armv7.

Comment 3 Jan Kurik 2017-08-15 08:19:05 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 4 Robert-André Mauchin 🐧 2017-09-17 08:01:14 UTC
@fpokorny: could you please take a look at this and push an update to F27 and Rawhide? This is the very last dependency I need to package rclone.
Thanks.

Comment 5 Fedora Update System 2017-09-18 07:55:40 UTC
golang-github-ncw-swift-0-0.9.git9d3f812.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-4c5a8841a5

Comment 6 Fedora Update System 2017-09-18 07:55:54 UTC
golang-github-ncw-swift-0-0.9.git9d3f812.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-55408ae360

Comment 7 Fedora Update System 2017-09-18 07:55:59 UTC
golang-github-ncw-swift-0-0.9.git9d3f812.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ebc148a8ee

Comment 8 Fedora Update System 2017-09-18 07:56:05 UTC
golang-github-ncw-swift-0-0.9.git9d3f812.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ac6ba76d68

Comment 9 Fedora Update System 2017-09-18 10:46:23 UTC
golang-github-ncw-swift-0-0.9.git9d3f812.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-47c2dafdaa

Comment 10 Fedora Update System 2017-09-18 22:23:01 UTC
golang-github-ncw-swift-0-0.9.git9d3f812.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-47c2dafdaa

Comment 11 Fedora Update System 2017-09-19 04:21:23 UTC
golang-github-ncw-swift-0-0.9.git9d3f812.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ebc148a8ee

Comment 12 Fedora Update System 2017-09-19 05:22:33 UTC
golang-github-ncw-swift-0-0.9.git9d3f812.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ac6ba76d68

Comment 13 Fedora Update System 2017-09-19 06:50:55 UTC
golang-github-ncw-swift-0-0.9.git9d3f812.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-4c5a8841a5

Comment 14 Fedora Update System 2017-09-19 17:19:49 UTC
golang-github-ncw-swift-0-0.9.git9d3f812.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-55408ae360

Comment 15 Fedora End Of Life 2018-02-20 15:36:27 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 16 Fedora Update System 2018-02-27 20:38:47 UTC
golang-github-ncw-swift-0-0.9.git9d3f812.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2018-02-28 16:44:04 UTC
golang-github-ncw-swift-0-0.9.git9d3f812.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2018-02-28 17:09:41 UTC
golang-github-ncw-swift-0-0.9.git9d3f812.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2018-02-28 18:48:26 UTC
golang-github-ncw-swift-0-0.9.git9d3f812.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.